
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class synchronize extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
                synchronize t = new synchronize();
                t.testMain(args);
	}

	public void testMain(String [] args) {
	try
	{
		int iret;
		TSSInteger iObj = new TSSInteger(1);

         	TSSSync.syncPoint("label");
        	System.out.println("TSSSync.syncPoint called");
        
         	TSSSync.sharedVarEval("name", iObj, 0);
        	System.out.println("TSSSync.sharedVarEval called");
        
         	TSSSync.sharedVarAssign("name", 0, SHVOP_add, iObj);
        	System.out.println("TSSSync.sharedVarAssign called");
        
         	iret = TSSSync.sharedVarWait("name", 0, 0, 0, 0, iObj);
        	System.out.print("return from TSSSync.sharedVarWait ");
        	if (iret == TSS_OK)
        		System.out.println("TSS_OK");
        	else
        		System.out.println(iret);
        
        	// overloaded version
         	iret = TSSSync.sharedVarWait("name", 0);
        	System.out.print("return from TSSSync.sharedVarWait overloaded version ");
        	if (iret == TSS_OK)
        		System.out.println("TSS_OK");
        	else
        		System.out.println(iret);
        }
	catch (Exception e)
	{
		e.printStackTrace();
	}
	}

    public static class SyncPointConfig extends SyncPointInfo {
        public SyncPointConfig() {
            String points[] = {
                "label"};
            setSyncPointNames(points);
        }
    }


    public static class SharedVarConfig extends SharedVarInfo {
        public SharedVarConfig() {
            String sv[] = {
                "name"};
            setSharedVarNames(sv);
        }
    }
}
